### Name: merge.blocos
### Title: Merge de grandes volumes de dados
### Aliases: merge.blocos
### Keywords: ~kwd1 ~kwd2

### ** Examples

library(IBGEPesq)

### leitura dos dados de pessoas
data(dicpes2005)
nomesdic <- c("UF", "V0102", "V0103", "V0302", "V0402", "V4704", "V4729")
nomes <- c("UF", "CONTROLE", "SERIE", "SEXO", "COND_FAMILIA", "COND_ATIVIDADE", "PESOS")
#ajuste esse caminho para apontar para o arquivo de microdados:
caminho.microdados <- file.path("E:", "DADOS", "PES2005.TXT")
nreg = 408148
dadospes <- le.pesquisa(dicionario=dicpes2005, pathname.in=caminho.microdados,
                        codigos=nomesdic, nomes=nomes, quant=nreg)

### leitura dos dados de domicilios
data(dicdom2005)
nomesdic <- c("V0102", "V0103", "V0201")
nomes <- c("CONTROLE", "SERIE", "ESPECIE_DOM")
#ajuste esse caminho para apontar para o arquivo de microdados:
caminho.microdados <- file.path("E:", "DADOS", "DOM2005.TXT")
nreg = 142471
dadosdom <- le.pesquisa(dicionario=dicdom2005, pathname.in=caminho.microdados,
                        codigos=nomesdic, nomes=nomes, quant=nreg)

### cruzamento dos dados de domiclios com os de pessoas
dados <- merge.blocos(dadospes, dadosdom)
rm(dadospes, dadosdom)
arq.saida <- "dadosfamilias.Rdata"
save(dados, file=arq.saida)



